# std::error_condition Struct Reference

error_condition More...

List of all members.

## Public Types

- typedef void(* __bool_type )()

## Public Member Functions

- void assign (int __v, const error_category &__cat)
- const error_category & category () const
- void clear ()
- template<typename _ErrorConditionEnum > error_condition (_ErrorConditionEnum __e, typename enable_if< is_error_condition_enum< _ErrorConditionEnum >::value >::type *=0)
- error_condition (int __v, const error_category &__cat)
- string message () const
- operator __bool_type () const
- template<typename _ErrorConditionEnum > enable_if
  < is_error_condition_enum
  < _ErrorConditionEnum >::value,
  error_condition & >::type operator= (_ErrorConditionEnum __e)
- int value () const

## Static Public Member Functions

- static void __not_bool_type ()

## Detailed Description

error_condition

Definition at line 198 of file system_error.

The documentation for this struct was generated from the following file:

- system_error